Page MenuHome

Fluid Simulator Stops in Complex Scene
Closed, ArchivedPublic

Description

--System Info
uname -a output: Linux iceraven 3.14-2-amd64 #1 SMP Debian 3.14.15-2 (2014-08-09) x86_64 GNU/Linux (jessie)
CPU: Intel i7-4700MQ
GPU: NVIDIA 780M
Desktop Environment: GNOME 3 (latest)
GPU Driver: nvidia-driver package on jessie repo (340.29)
CUDA Driver: nvidia-cuda-toolkit package on jessie repo (5.5; just stopped working as support for pre-6.0 just dropped)

--Blender Version:
Broken: Latest Dev Version (2.71.6, Hash: 24ea3ab)
Worked: None yet. Testing 2.71 stable as I'm typing.

--Description
I have a complex scene where a bullet impacts a coffee cup, with coffee inside, that goes everywhere. It involves a large domain, high resolution fluid simulation, and hundreds of collision objects that are keyframed from a Rigid Body simulation.

At one point this worked flawlessly. However, now it merely stops once reaching enough complexity. Here's what I've been able to gather:

  • Lowering the resolution makes the simulation continue baking a bit longer, but only the lowest resolutions (120-) actually complete.
  • top tells me that the CPU is being used plenty. The RAM usage is well within what should work.
  • Blender's memory usage is never above 600M, according to itself. top agrees; however I'm using GPU for rendering, so this could have been an issue.

It probably means nothing, but I uncommented the Experimental GPU features in kernel_types.h before compiling Blender.

--Reproducing the error:

  1. Load file.
  2. Set offset in the fluid simulation to 25.
  3. With the resolution at 425, attempt a bake.
  4. The bake should, without any kind of error, simply stop, uncompleted, after 50 frames
NOTE: In this file all the keyframing has been moved back 27 frames, so you don't have to wait more than neccessary for a complex high-res bake.

--Filesize: 25MB. https://docs.google.com/uc?id=0Bx0YaKfeuWSrUnFScDAtLVdtU2s&export=download

Thank you in advance!

Details

Type
Bug

Related Objects

Event Timeline

Sofus Rose (Darkfie9825) set Type to Bug.
Sofus Rose (Darkfie9825) created this task.
Sofus Rose (Darkfie9825) raised the priority of this task from to Needs Triage by Developer.

Does it stop or blender just crashes?

Edit: also, please run blender from the command line and see whether any issues are being reported there.

Sergey Sharybin (sergey) triaged this task as Needs Information from User priority.Aug 28 2014, 12:11 PM

Windows 7
Intel i5-2520m @2.5GHz 2 Kerne
8GB Speicher
Intel HD Graphics Family

The fluid simulator simply stops. Blender keeps on running just fine.

I'm not quite sure what you mean by runnning blender from the command line. To start the blender dev release, I use the script supplied in the compiled build (when I use the blender command, or click on blender in Applications, it's actually a symbolic link to that script), which is the one that fails. I've heard of methods to bake from the command line, but you'd have to clarify a bit more.

Also, quite interestingly, Blender 2.71 stable just did a perfect bake overnight. Some of the bake files are pretty large - the largest is 91MB for one of the complex frames, with 15 for the preview. Could the bug in the more recent version be related to that complexity?

System Information
Windows 7
Blender Version 2.71

simulation stops and no fluid flows???

just start the baking and you will see

wasserbecken_mit_Rührer_mit_Stromstörer_6.blend

MichealN: Your CPU doesn't look all too powerful, maybe the calculations are a little too much... Does it by any chance fail earlier if you up the resolution

It could be the same issue - from what I can gather, my bake becomes more unstable as I up the resolution, therefore the computation volume. There wouldn't by any chance be a time out counter for fluid sims, like there is for building BVH?

Something else to consider is that the only time it worked (on 2.7 stable), I clicked bake and didn't click anything else - I didn't even leave the window or move the mouse. Otherwise, I would be browing the internet, checking (not changing) other settings, etc.

Darkfie9825: followimg your experience I also did not touched the mouse again after Start Baking. And it looked the simulation run at least for one hour.
Thanks for this. But sounds still strange.

The issue i stil see is that the domain is filled with fluid from the very beginning. It shall be empty and filled with the inflow sphere.
So how can the initial condition of a domain be defined?

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Sep 5 2014, 10:10 PM

Are there news on this? @Sofus Rose (Darkfie9825), do you still have the issue in Blender 2.74 RC?

As mentioned, it did end up working; it could be an update or me just not touching anything. The .blend itself could also be the culprit; I did mess around quite a bit with a lot of pieces during that project. In any case, I haven't personally had problems with the fluid simulator since.

Considering that I was running a self-compiled dev release (three words that tend to lead to stress put together :) ) on the testing version of Debian, just before a freeze... Even considering that it was reproducible, any number of factors could have played into the weirdness; factors that might well be gone considering the freeze and just general development.

To be thourough, though, I'll run the blend overnight on the RC.

Julian Eisel (Severin) closed this task as Archived.Apr 14 2015, 9:59 PM

Eeek, somehow I have missed your answer. Anyway, glad to hear it's working again :)